> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Return Preference

> API to get Return preference for taxpayers



## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/public/gstrs/preference
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/public/gstrs/preference:
    post:
      tags:
        - Public
      summary: Get Return Preference
      description: API to get Return preference for taxpayers
      operationId: getReturnPreference
      parameters:
        - name: financial_year
          in: query
          description: Financial year for which the return preference is requested
          required: true
          schema:
            type: string
            example: FY 2025-26
        - name: authorization
          in: header
          description: JWT authorization token
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-accept-cache
          in: header
          description: Pass true to get cached response.
          required: false
          example: ''
          schema:
            type: boolean
        - name: x-api-key
          in: header
          description: Public key required to authorize API access.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - gstin
              properties:
                gstin:
                  type: string
                  description: GSTIN for which the return preference is requested
            examples:
              Monthly preference 2:
                value:
                  gstin: 24ABKCS2033B1ZV
                summary: Monthly preference 2
      responses:
        '200':
          description: 200 Monthly preference
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          response:
                            type: array
                            items:
                              type: object
                              properties:
                                preference:
                                  type: string
                                  description: Return filing preference
                                  example: M
                                quarter:
                                  type: string
                                  description: Quarter for which the preference applies
                                  example: Q1
                              required:
                                - preference
                                - quarter
                            example:
                              - preference: M
                                quarter: Q1
                              - preference: M
                                quarter: Q2
                              - preference: M
                                quarter: Q3
                              - preference: M
                                quarter: Q4
                        required:
                          - response
                      status_cd:
                        type: string
                        example: '1'
                    required:
                      - data
                      - status_cd
                  timestamp:
                    type: number
                    example: 1775825033134
                  transaction_id:
                    type: string
                    example: 903962ca-bc29-45c5-b879-3e51c7f9887d
                required:
                  - code
                  - data
                  - timestamp
                  - transaction_id
              examples:
                Monthly preference:
                  summary: Monthly preference
                  value:
                    code: 200
                    timestamp: 1775825033134
                    data:
                      data:
                        response:
                          - preference: M
                            quarter: Q1
                          - preference: M
                            quarter: Q2
                          - preference: M
                            quarter: Q3
                          - preference: M
                            quarter: Q4
                      status_cd: '1'
                    transaction_id: 903962ca-bc29-45c5-b879-3e51c7f9887d
          headers: {}
      deprecated: false
      security: []

````